std::char_traits::not_eof(3)

NAME
std::char_traits::not_eof - std::char_traits::not_eof

Synopsis
   static int_type not_eof( int_type e ); (until C++11)
   static constexpr int_type not_eof( int_type e ) noexcept; (since C++11)
   Given e, produce a suitable value that is not equivalent to eof.
   Formally
     * if X::eq_int_type(e, X::eof()) is false, returns e
     * otherwise, returns a value f such that X::eq_int_type(f, X::eof()) is false
   This function is typically used when a value other than eof needs to be returned,
   such as in implementations of std::basic_streambuf::overflow().

Parameters
   e - value to analyze

Return value
   e if e and eof value are not equivalent, returns some other non-eof value otherwise.

Complexity
   Constant.

See also
   eof returns an eof value
   [static] (public static member function)